package commands;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.FacadeDAO;

public class AdicionarAlocacao extends AbstractCommand {

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, HttpServlet servlet) {

		String msg = null;
		String idParamP = request.getParameter("idprof");
		String idParamA = request.getParameter("idaluno");
		if(idParamP==null||idParamA==null||idParamP.equals("msg")||idParamA.equals("msg")){
			msg = "Aluno ou Professor Não Selecionado ";
		}
		else{
			int    idAluno      = Integer.parseInt(idParamA);
			int    idProf      = Integer.parseInt(idParamP);

			System.out.println("vai alocar");
			boolean deuCerto = FacadeDAO.getInstance(servlet).getAlunoDAO().adicionarAlocacao(idProf, idAluno);
			if(deuCerto){
				msg = "Alocação Incluída com Sucesso!";
			}
			else{
				msg = "Erro na Alocação Procure o Administrador do Sistema";
			}
		}
		request.setAttribute("mensagem",msg);
		RequestDispatcher rd = request.getRequestDispatcher("aloca.jsp");
		try
		{
			rd.forward(request,response);
		}
		catch (IOException e)
		{
			e.printStackTrace();
		} catch (ServletException e) {
			// TODO Bloco catch gerado automaticamente
			e.printStackTrace();
		}
	}


}
